| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
File System

File System Backup Definitions and Methods. More...

## Classes
struct | unsp__CreateFSBackupRequest
| Create FS Backup request. More...
struct | unsp__CreateFSBackupResult
| Create FS Backup result. More...
struct | unsp__CancelFSBackupRequest
| Cancel FS Backup request. More...
struct | unsp__CancelFSBackupResult
| Cancel FS Backup result. More...
struct | unsp__QueryFSBackupRequest
| Query FS Backup request. More...
struct | unsp__FileSystemJobEntry
| File System Job Entry. More...
struct | unsp__FileSystemJobList
| File System Job List. More...
struct | unsp__QueryFSBackupResult
| Query FS Backup result. More...

## Enumerations
enum | unsp__FSRetrievalMethod { FSB_pull, FSB_push }
| Allows sorting by ServiceID-NID, EBGID, Monitors and Route Registrations. More...
enum | unsp__FSRemoteProtocol { FSB_sftp =1, FSB_ftp }
| The protocol by which the backup file is to be transferred to the RemoteIPAddress. More...

## Functions
int | unsp__CreateFileSystemBackup (struct unsp__CreateFSBackupRequest CreateFSBackupRequest, struct unsp__CreateFSBackupResult *CreateFSBackupResult)
| This method is used to request a file system backup. More...
int | unsp__CancelFileSystemBackup (struct unsp__CancelFSBackupRequest CancelFSBackupRequest, struct unsp__CancelFSBackupResult *CancelFSBackupResult)
| This method is used to cancel a previously requested file system backup. More...
int | unsp__QueryFileSystemBackup (struct unsp__QueryFSBackupRequest QueryFSBackupRequest, struct unsp__QueryFSBackupResult *QueryFSBackupResult)
| This method is used to retrieve the status of a previously requested file system backup. More...

## Detailed Description

File System Backup Definitions and Methods.

Openscape Voice provides methods to initiate and manage the backup of its file system.

## Enumeration Type Documentation

## ◆ unsp__FSRemoteProtocol

enum unsp__FSRemoteProtocol

The protocol by which the backup file is to be transferred to the RemoteIPAddress.

Enumerator
FSB_sftp | SFTP.
FSB_ftp | FTP.

## ◆ unsp__FSRetrievalMethod

enum unsp__FSRetrievalMethod

Allows sorting by ServiceID-NID, EBGID, Monitors and Route Registrations.

Enumerator
FSB_pull | Data will remain on the local host machine for retrieval.
FSB_push | Data will be pushed to a remote host.

## Function Documentation

## ◆ unsp__CancelFileSystemBackup()

unsp__CancelFileSystemBackup | ( | struct unsp__CancelFSBackupRequest | CancelFSBackupRequest,
|  | struct unsp__CancelFSBackupResult * | CancelFSBackupResult
| ) |  |

This method is used to cancel a previously requested file system backup.

An interface with the Maintenance Manager component of the system is used to perform the operation.

Parameters

  CancelFSBackupRequest | API request
  CancelFSBackupResult | API result

## ◆ unsp__CreateFileSystemBackup()

unsp__CreateFileSystemBackup | ( | struct unsp__CreateFSBackupRequest | CreateFSBackupRequest,
|  | struct unsp__CreateFSBackupResult * | CreateFSBackupResult
| ) |  |

This method is used to request a file system backup.

An interface with the Maintenance Manager component of the system is used to perform the operation and a Job ID is returned to the operator so that the status of the backup operation can be queried.

Parameters

  CreateFSBackupRequest | API request
  CreateFSBackupResult | API result

## ◆ unsp__QueryFileSystemBackup()

unsp__QueryFileSystemBackup | ( | struct unsp__QueryFSBackupRequest | QueryFSBackupRequest,
|  | struct unsp__QueryFSBackupResult * | QueryFSBackupResult
| ) |  |

This method is used to retrieve the status of a previously requested file system backup.

An interface with the Maintenance Manager component of the system is used to perform the operation.

Parameters

  QueryFSBackupRequest | API request
  QueryFSBackupResult | API result